Capture payment - v2
curl --request POST \
--url https://{host}/payment/v2/payments/{paymentId}/capture \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"amount": 123,
"operationId": "<string>"
}
'import requests
url = "https://{host}/payment/v2/payments/{paymentId}/capture"
payload = {
"amount": 123,
"operationId": "<string>"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({amount: 123, operationId: '<string>'})
};
fetch('https://{host}/payment/v2/payments/{paymentId}/capture', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"paymentMethods": [
{
"type": "Bonus",
"amount": 123,
"card": {
"pan": "<string>"
}
}
]
}{
"name": "<string>",
"message": "<string>",
"details": null
}Capture payment - v2
Capture transaction by paymentId. Supports partial capture. If partial capture is requested, then remaining amount is cancelled.
POST
/
v2
/
payments
/
{paymentId}
/
capture
Capture payment - v2
Authorizations
JWT Authorization header using the Bearer scheme. Example: "Authorization: Bearer {token}"
Path Parameters
Body
application/jsontext/jsonapplication/*+json
Response
OK
The collection of selected payment methods
Show child attributes
Show child attributes
Last modified on August 10, 2026
⌘I